Logo of SermonSpeaker Extension Claim

Login Form

SermonSpeaker 5.9.3 is released.
Minimum Joomla! Version: 3.8.0

Translations

  • Updated Translations from Crowdin, especially Portuguese improved quite a bit thanks to Jaime Guisado.

Fixes

  • Fixing a bug with Amazon S3 where some server regions didn't work.